%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check

%global crate procs

Name:           rust-procs
Version:        0.14.4
Release:    1%{?dist}
Summary:        Modern replacement for ps

License:        MIT
URL:            https://crates.io/crates/procs
Source0:         %{crates_source}
Patch:          procs-fix-metadata-auto.diff
Patch:          procs-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A modern replacement for ps.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        Apache-2.0 AND BSD-3-Clause AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/procs
%{bash_completions_dir}/procs.bash
%{fish_completions_dir}/procs.fish
%{zsh_completions_dir}/_procs

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

target/rpm/procs --gen-completion-out bash > procs.bash
target/rpm/procs --gen-completion-out fish > procs.fish
target/rpm/procs --gen-completion-out zsh > _procs

install -Dpm 0644 procs.bash -t %{buildroot}/%{bash_completions_dir}
install -Dpm 0644 procs.fish -t %{buildroot}/%{fish_completions_dir}
install -Dpm 0644 _procs -t %{buildroot}/%{zsh_completions_dir}

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.4-1
- initial build
